CADsite

  • ma 26 08 2019, 01:26:50
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Topics - EddyBeerke

Pagina's: [1] 2 3 ... 7
1
Cadsite café / Dynamo for Civil 3d 2020
« Gepost op: wo 19 06 2019, 16:45:23 »
Iemand al druk geweets met Dynamo for Civil 3d 2020?

2
AutoCAD probleem / Toolpalettes met relatieve paden [Opgelost]
« Gepost op: di 06 11 2018, 11:53:52 »
Beste luitjes,

Ik ben bezig om een toolpalette in te richten met bocks.
Nu wil het dat we via SharePoint een aantal mappen op onze pc zetten, gesynchroniseerd met de cloud.
Omdat deze mappen in een user-dir komen is het niet mogelijk om er een met hard pad naar te verwijzen zoals
"C:\Users\username\SharePoint\Autodesk\LIB\Blocks.dwg".

Als het dan om 1 map gaat is het makkelijk -> een zoekpad toevoegen in de options.

Maar... in de map "LIB" zitten nog meer mappen zoals verkeersborden:
A-snelheid
BB-bebakening
B-voorrang
enz.

Heeft iemand hier ervaring mee en zo ja hoe heb je dit opgelost en anders bij deze alvast bedankt voor het meedenken. :vreegoe:



3
AutoCAD probleem / Van meerdere lijnen 1 PLine maken
« Gepost op: di 21 08 2018, 08:46:47 »
Ik kom vaak tegen dat ik van meerder lijnen 1 enkele PLine moet maken.
Nu kan dat handmatig... BREAK... JOIN.
Maar is er ook een andere manier, vooral sneller/makkelijker?

In de bijlage een voorbeeld van een aantal lijnen (links) en wat het moet worden.
De lijn mag zichzelf kruizen en dubbel of over zichzelf heen zijn.

Als het niet duidelijk is wat ik bedoel, kijk dan eerst even naar de dxf.
Over de reden en of het nodig is kan ik zeggen dat ik op deze manier iets moet aanleveren.

Alvast bedankt voor het meedenken.  :vreegoe:

4
Autolisp / Dotted pair Lijst maken in lisp
« Gepost op: zo 11 03 2018, 08:56:15 »
Ik wil graag een lijst maken die er zo uit ziet:
((block1 . layer1) (block1 . layer2) (block2 . layer1))
In de routine vraag ik de naam van een block en de layer waar het block op geplaatst is.
Dit is een selectie van div blocks.
Ik kom er niet uit met (cons x y) en (append x y)

5
AutoCAD tips / FileTabs in AutoCAD
« Gepost op: wo 12 07 2017, 14:35:14 »
Waarom deze tip:
Ik heb een hekel als er 'zomaar' uit het niets (ongewild dus) aan het knipperen gaat op mn beeldscherm zonder dat ik ergens op klik.
Dus als ik ergens met mn muis overheen beweeg moet AutoCAD niet ineens naar een andere tekening switchen en dan ook nog eens naar bv paperspace gaan terwijl ik met die tekening in modelspace bezig was.



Met een systeem variabele kun je dat instellen dat het niet meer gebeurd:
FILETABTHUMBHOVER
Zet het op 0, hierna moet je klikken om te switchen  :vreegoe:

Uit de help van AutoCAD:
Citaat
FILETABTHUMBHOVER (System Variable)

Specifies whether the corresponding model or layout loads in the drawing window when you hover over a file tab thumbnail.

Type:   Integer
Saved in:   Registry
Initial value:   1
Value
Description
1
Loads the model or layout in the drawing window when you hover over a file tab thumbnail.
0
Does not load the model or layout in the drawing window when you hover over a file tab thumbnail.

6
Even reclame maken voor de nieuwe website van mn dochter, het haar groeit ook als je aan t werk bent...
Raquels Salon - Rozenburg
http://www.raquelssalon.hol.es/?page=home

7
Autolisp / Layerfilter (OPGELOST)
« Gepost op: wo 15 06 2016, 09:09:00 »
Ik heb deze lisp gevonden:
(command "-LAYER" "filter" "N" "P" "All" "NAME==\"~*|*\"" "All Non-Xref Layers" "x" "")
;;; http://cadtips.cadalyst.com/layer-tools/create-filter-all-layers-except-xref-layer
Echter wil ik ook een filter maken om alleen de algen die aan  :idea: staan en een filter van lagen die bevroren zijn.

Weet iemand hoe je dit dan voor elkaar krijgt met de bovenstaande lisp?

Alvast bedankt voor het meedenken.

8
AutoCAD probleem / Civil3d 2016 3dOrbit
« Gepost op: wo 13 04 2016, 15:08:08 »
Hey luitjes... ik zit dus net met een verse Civil3d 2016 installatie (inmiddels dus ook met een servicepack II).
Maar de 3dOrbit e.d. werkt niet:
Citaat
Command: 3DORBITCTR
Unknown command "3DORBITCTR".  Press F1 for help.

Command: 3DORBIT
Unknown command "3DORBIT".  Press F1 for help.

Command: 3DORBITTRANSPARENT
Unknown command "3DORBITTRANSPARENT".  Press F1 for help.

Command: VIEWCUBEACTION
Unknown command "VIEWCUBEACTION".  Press F1 for help.
Werkt dus ook niet met middelste muisbutton + shift.

Als ik het commando in typeen dan opo F1 ram dan herkent ie wel de help...
Wie heeft dit ook en beter nog wie heeft de oplossing????




9
Autolisp / Tekst hoogte van een TextStyle opvragen (opgelost)
« Gepost op: ma 18 01 2016, 12:32:07 »
Ik ben weer eens bezig met een lisp aan te passen.
Met deze lisp kan ik een tekst plaatsen met een opgegeven tekst.
Maar met sommige textstylen is er een hoogte voorgedefinieerd van de te plaatsen tekst.
In je kunt dat zien in het venster van Text Style (commando: style)
Maar hoe vraag je dat op met Lisp?

Ik moet deze gegevens weten:
Current Style
Height


10
AutoCAD tips / Wegmarkering tekenen...
« Gepost op: do 10 09 2015, 11:05:34 »

11
AutoCAD probleem / Support File Search Path ofwel zoekpaden
« Gepost op: di 28 07 2015, 10:50:44 »
Ik gebruikt sinds kort dus AutoCAD 2015 (het volgende probleem deed zich ook al in vorige versies voor).
Nu wil het wel eens gebeuren dat ik even zonder netwerk iets wil testen en/of een profiel inlaad met paden die niet (meer) bestaan.
Heel vervelend is dan dat die paden verwijderd worden door acad zelf.
Ik wil deze zoekpaden dus wel houden.
Anders moet ik dus eerst mijn profiel exporteren, offline gaan... test uitvoeren... weer online mijn profiel weer herstellen.
Is er een oplossing voor het behouden van die zoekpaden?

12
AutoCAD probleem / Menu (cuix) met .dll (opgelost)
« Gepost op: vr 10 07 2015, 14:37:08 »
Beste luitjes,

Ik beschik net over AutoCAD 2015.
Nu is met acad 2015 een echt verschil te zien met het donker en lichte thema... dus ook de icons zijn daarvoor aangepast. Kijk maar eens het verschil bij de knop "Line" in de ribbon of toolpallete.

Nu wil ik ook graag het donkere en lichte thema ondersteunen.

Heeft iemand daar ervaring mee en zo ja hoe los ik dat op?

Ik heb gelezen dat je icons in een dll bestand kunt zetten:
Menu.cuix
Menu.dll
Menu_light.dll

Maar hoe en waarmee maak je z'n dll bestand?
En hoe koppel ik die icons aan een knop?

Alvast bedankt


13
VBA / Missing references in Civil3d 2015 (opgelost)
« Gepost op: vr 20 03 2015, 09:23:19 »
Ik heb een macro gemaakt voor cilvil3d 2014.
Een collega wil deze ook gebruiken maar heeft civil3d 2015.

De macro gebruikt in 2014 deze referenties:
* Autodesk Civil Engineering 10.3 Corridor Object Library
* Autodesk Civil Engineering 10.3 UI Corridor Object Library
* Autodesk Civil Engineering 10.3 Land Object Library


Je zou op het eerst gezicht zeggen dat het alleen om het nr gaat: 10.3 moet 10.4 worden.
Maar ik kan ze niet vinden op zijn pc.

Dus de vraag is... Welke referenties moet hij gebruiken voor civil3d 2015?

14
Autocad babbelhoekje / Nu ook Whatsapp via de PC!!!
« Gepost op: vr 06 02 2015, 10:25:46 »
Ik ontdekte vandaag weer eens wat nieuws!

Nu ook Whatsapp via de PC!!!  :ole:
Ga naar https://web.whatsapp.com/
Klik op je telefoon in het menu op "Whatsapp Web" en scan de QR-code.

15
Voorbeeld:
In een tekening staan 10 blocks met de naam BOOM.
Een van die blocks moet hernoemd worden naar BOOM_01

Deze functie zit wel in Civil3d ("COPYBLOCKDEFANDASSIGN") maar niet in standaard AutoCAD

;;  BlockDupNewName.lsp [command name: BDN]
;;  To make a new Block that is a Duplicate of a selected Block or WMF, with
;;    a New block Name, replacing the selected one, and which can then be
;;    edited if desired for variance(s) in content compared to the selected one,
;;    without affecting other insertions of the original Block name.
;;  Offers default new Block name = old name with "-1" added, "-2" or beyond
;;    if already used.  Accepts any typed-in new name instead; asks again if
;;    User input is already a Block name.
;;  If elements in Block definition are on Layers that are off/frozen/locked,
;;    will NOT include them in new Block definition.
;;  [When making new Block definition from WMF, all elements within seem
;;    to become 2D Plines, incl. pieces of Text characters, segmented circles, etc.
;;    Remove references to WMF in prompts if you don't want them mentioned,
;;    but will still convert them if selected.]
;;  Kent Cooper, 24 July 2012
;;  Edited by Eddy Lucas 12 Jan 2015:
;;  Changed the "(getstring ...)" in "getstring T ...)" for using a space in the blockname.


(defun C:BDN ; = Block Duplicate with New block name
  (/ *error* cmde blksel blkent blkdata blkobj blkname inc newname)


  (defun *error* (errmsg)
    (if (not (wcmatch errmsg "Function cancelled,quit / exit abort,console break"))
      (princ (strcat "\nError: " errmsg))
    ); end if
    (command "_.undo" "_end")
    (setvar 'cmdecho cmde)
    (princ)
  ); end defun - *error*


  (vl-load-com)
  (setq cmde (getvar 'cmdecho))
  (setvar 'cmdecho 0)
  (command "_.undo" "_begin")


  (prompt "\nTo convert Block/WMF into Duplicate Block with New name,")
  (while
    (not
      (and
        (setq blksel (ssget "_+.:E:S:L" '((0 . "INSERT")))); Block/Xref/WMF/Minsert, unlocked Layer
        (setq
          blkent (ssname blksel 0)
          blkdata (entget blkent); need in entity-data format for (entmake)
        ); setq
        (= (cdr (assoc 100 (reverse blkdata))) "AcDbBlockReference"); Block/Xref/WMF, not Minsert
        (= (logand 4 (cdr (assoc 70 (tblsearch "block" (cdr (assoc 2 blkdata)))))) 0); not Xref
      ); and
    ); not
    (prompt "\nNothing selected, or not a Block/WMF, or on a locked Layer.")
  ); while
  (setq
    blkobj (vlax-ename->vla-object blkent); for easier normalization below, & bounding box
    blkname (vla-get-Name blkobj)
    inc 1
  ); setq
  (while (tblsearch "block" (strcat blkname "-" (itoa inc))); already Block named that way
    (setq inc (1+ inc))
  ); while
  (setq newname (getstring T (strcat "\nNew Block name <" blkname "-" (itoa inc) ">: ")))
  (if (= newname "") (setq newname (strcat blkname "-" (itoa inc)))); User hit Enter
  (while (or (tblsearch "block" newname) (= newname ""))
    ; typed in already-used name, or after doing so, within this (while) loop, hit Enter
    (setq newname (getstring T "\nBlock name in use (or empty) -- enter different name [or Esc to exit]: "))
  ); while
  (vla-put-XScaleFactor blkobj 1); normalize insertion -- basis for new Block definition
  (vla-put-YScaleFactor blkobj 1)
  (vla-put-ZScaleFactor blkobj 1)
  (vla-put-Rotation blkobj 0)
  (vla-getboundingbox blkobj 'minpt 'maxpt)
  (command "_.zoom" (vlax-safearray->list minpt) (vlax-safearray->list maxpt))
    ; to ensure all resulting objects are found for new Block definition
  (command "_.explode" blkent )
  (command   "_.block" newname (cdr (assoc 10 blkdata)))
(command "_previous" "") ; removes entities
(command "_.zoom" "_previous")

  (entmake
    (append
      (vl-remove-if
        '(lambda (x) (member (car x) '(-1 330 5 2))); no entity names, handle, Block name
        blkdata ; keeps layer, ins. pt., scales, rotation, extr dir, any overrides
      ); remove
      (list (cons 2 newname))
    ); append
  ); entmake


  (command "_.undo" "_end")
  (setvar 'cmdecho cmde)
  (princ)
); defun


(princ "\nType BDN to convert Block/WMF into Duplicate Block with New name.")
(princ)

Pagina's: [1] 2 3 ... 7